# PersistenceException
Date: 2013-02-18

## org.simpleframework.xml.core
Class PersistenceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.simpleframework.xml.core.PersistenceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttributeException, ConstructorException, CycleException, ElementException, InstantiationException, MethodException, PathException, RootException, TextException, TransformException, UnionException, ValueRequiredException

    public class PersistenceException

extends java.lang.Exception

The `PersistenceException` is thrown when there is a persistance exception. This exception this will be thrown from the `Persister` should serialization or deserialization of an object fail. Error messages provided to this exception are formatted similar to the `PrintStream.printf` method.

Author:
  Niall Gallagher
See Also:
  Serialized Form

Constructor Summary
`PersistenceException(java.lang.String text, java.lang.Object... list)` Constructor for the `PersistenceException` object.
`PersistenceException(java.lang.Throwable cause, java.lang.String text, java.lang.Object... list)` Constructor for the `PersistenceException` object.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PersistenceException

    public PersistenceException(java.lang.String text,
                                java.lang.Object... list)

  Constructor for the `PersistenceException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string

### PersistenceException

    public PersistenceException(java.lang.Throwable cause,
                                java.lang.String text,
                                java.lang.Object... list)

  Constructor for the `PersistenceException` object. This constructor takes a format string an a variable number of object arguments, which can be inserted into the format string.

  Parameters:
    `cause` - the source exception this is used to represent
    `text` - a format string used to present the error message
    `list` - a list of arguments to insert into the string